MM-CONFIG(1)

NAME
mm-config - OSSP mm library configuration/build utility

VERSION
OSSP mm .4.1 (10-Aug-2006)

SYNOPSIS
mm-config [--help] [--version] [--cflags] [--ldflags] [--libs]

DESCRIPTION
The mm-config program is a little helper utility for easy configuring and building applications based on the mm(3) library. It can be used to query the C compiler and linker flags which are required to correctly compile and link the application against the mm(3) library.

OPTIONS
mm-config accepts the following options:

--help
    Prints the short usage information.

--version
    Prints the version number and date of the installed mm(3) library.

--cflags
    Prints the C compiler flags which are needed to compile the mm(3)-based application. The output is usually added to the "CFLAGS" variable of the applications "Makefile".

--ldflags
    Prints the linker flags ("-L") which are needed to link the application with the mm(3) library. The output is usually added to the "LDFLAGS" variable of the applications "Makefile".

--libs
    Prints the library flags ("-l") which are needed to link the application with the mm(3) library. The output is usually added to the "LIBS" variable of the applications "Makefile".

EXAMPLE
 CC=cc
 CFLAGS=-O `mm-config --cflags`
 LDFLAGS=`mm-config --ldflags`
 LIBS=-lm `mm-config --libs`

 all: foo
 foo: foo.o
     $(CC) $(LDFLAGS) -o foo foo.o $(LIBS)
 foo.o: foo.c
     $(CC) $(CFLAGS) -c foo.c

SEE ALSO
mm(3).

AUTHOR
 Ralf S. Engelschall
 rse@engelschall.com
 www.engelschall.com